This section details all the requirements needed to run this solution.

The solution runs on **Dataiku DSS 12+** .

# Code Environment

A code environment called  **solution_credit-scoring**  is needed, it contains the following packages that are used in the python functions:

>scorecardpy==0.1.9.2
monotonic-binning==0.0.1
scikit-learn>=1.0,<1.1
Flask<2.3
cloudpickle>=1.3,<1.6
glum==2.6.0
lightgbm>=3.2,<3.3
scikit-optimize>=0.7,<0.10
scipy>=1.5,<1.6
statsmodels==0.12.2
xgboost==0.82

# Plugin

The [GLM Plugin](https://www.dataiku.com/product/plugins/glm/) version  **1.1** must be installed on the instance running the solution. The documentation explains how to install it and make it work.